Bug 224186 - net-p2p/namecoin: fails to build with boost 1.66
Summary: net-p2p/namecoin: fails to build with boost 1.66
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords: needs-patch
Depends on:
Blocks: 223922
  Show dependency treegraph
 
Reported: 2017-12-08 16:12 UTC by Jan Beich
Modified: 2018-12-05 06:58 UTC (History)
3 users (show)

See Also:
milios: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-12-08 16:12:14 UTC
As part of exp-run in bug 223922 this port was found to break on Boost update. If the issue won't disappear on its own by Boost release I plan to mark the port as BROKEN. Can you check with upstream maintainer or help with a fix?

$ fetch -qo- 'https://reviews.freebsd.org/D13279?download=true' | patch -Efsp0 -d /usr/ports
$ make all deinstall install clean -C/usr/ports/devel/boost-libs
$ make -C/usr/ports/net-p2p/namecoin
[...]
src/bitcoinrpc.cpp:3960:18: error: no matching constructor for initialization of 'ssl::context'
    ssl::context context(io_service, ssl::context::sslv23);
                 ^       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/boost/asio/ssl/impl/context.ipp:63:10: note: candidate constructor not viable: requires single argument 'm', but 2 arguments were provided
context::context(context::method m)
         ^
/usr/local/include/boost/asio/ssl/context.hpp:36:7: note: candidate constructor (the implicit copy constructor) not viable: requires 1 argument, but 2 were provided
class context
      ^
src/bitcoinrpc.cpp:4169:18: error: no matching constructor for initialization of 'ssl::context'
    ssl::context context(io_service, ssl::context::sslv23);
                 ^       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/boost/asio/ssl/impl/context.ipp:63:10: note: candidate constructor not viable: requires single argument 'm', but 2 arguments were provided
context::context(context::method m)
         ^
/usr/local/include/boost/asio/ssl/context.hpp:36:7: note: candidate constructor (the implicit copy constructor) not viable: requires 1 argument, but 2 were provided
class context
      ^

http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/namecoin-0.3.80_13,1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/namecoin-0.3.80_13,1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/namecoin-0.3.80_13,1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/namecoin-0.3.80_13,1.log

http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/namecoin-daemon-0.3.80_13,1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/namecoin-daemon-0.3.80_13,1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/namecoin-daemon-0.3.80_13,1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/namecoin-daemon-0.3.80_13,1.log
Comment 1 Jan Beich freebsd_committer 2017-12-08 16:12:54 UTC
Maybe you can replace io_service with io_context similar to https://github.com/arvidn/libtorrent/commit/f42b63c7ea82
Comment 2 Chad Jacob Milios 2018-04-25 22:05:17 UTC
this problem is fixed in a newer version of the port:

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=218961
Comment 3 Chad Jacob Milios 2018-05-20 18:32:30 UTC
please close this as RESOLVED (or VERIFIED)
Comment 4 Jan Beich freebsd_committer 2018-07-17 09:19:16 UTC
portmgr@ set EXPIRATION_DATE in ports r474787. It's unlikely to result in removal due to pending update.